<div id="body" class="container-fluid">
  <h6>Cache Admin</h6>
  <form #form="ngForm" name="form">
    <div>
      <div class="form-row col-12">
        <div class="form-group form-group-sm row col-24">
          <label for="name" class="col-form-label col-6 text-danger">Cache Object List:</label>
          <div class="col-16 pl-1">
            <dx-select-box #cacheObj id="cacheObj" [items]="cacheObjList"
                           [searchEnabled]="true" searchMode="startswith"
                           (onValueChanged)="onValueChanged($event)">
            </dx-select-box>
          </div>
        </div>
      </div>
      <div class="form-row col-12">
        <div class="form-group form-group-sm row col-24">
          <label for="name" class="col-form-label col-6 text-danger">Cache Object Name:</label>
          <div class="col-16 pl-1">
            <div class="input-group">
              <input id="name" name="name" class="form-control form-control-sm" size="30"
                     required minlength="1" appForbiddenName="-"
                     [(ngModel)]="form.name" #name="ngModel">
              <button class="btn btn-sm btn-primary pl-1" type="button"
                      (click)="onClearCache()" [disabled]="form.invalid">
                Clear Cache
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </form>
</div>


